Уязвимость в библиотеке libjpeg-turbo

В libjpeg-turbo, библиотеке для кодирования и декодирования изображений в формате JPEG, выявлена уязвимость (CVE-2019-2201), приводящая к целочисленному переполнению и последующему повреждению содержимого кучи при обработке определённым образом оформленных файлов в формате JPEG. Потенциально уязвимость не исключает возможность создания эксплоита для организации выполнения кода в системе (для атаки требуется обработка очень большого изображения с разрешением на уровне 26755 x 26755).

Проблема без лишней огласки исправлена в выпуске 2.0.3, но, судя по всему, устранена не полностью и остаются дополнительные векторы атаки. В дистрибутивах проблема остаётся неисправленной (Debian, SUSE/openSUSE, RHEL, Fedora, Ubuntu).

Источник: opennet.ru

Добавить комментарий